Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Class AxisModule

    java.lang.Object
      org.apache.axis2.description.AxisModule

All Implemented Interfaces:
  ParameterInclude

    public class AxisModule

extends Object
implements ParameterInclude

This holds the information about a Module.

1. parameters
3. handlers

4. Handler are registered once they are available. They are available to all services if axis2.xml has a module ref="." or available to a single service if services.xml have module ref=".."

   Field Summary
   `static String` | `MODULE_SERVICE`
   `static String` | `VERSION_SNAPSHOT`

   Constructor Summary
   `AxisModule()` Constructor ModuleDescription.
   `AxisModule(String name)` Constructor ModuleDescription.

   Method Summary
   `void` | `addOperation(AxisOperation axisOperation)`
   `void` | `addParameter(Parameter param)` Method addParameter.
   `void` | `deserializeParameters(org.apache.axiom.om.OMElement parameterElement)`
   `String` | `getArchiveName()` Get the archive name of this module.
   `Flow` | `getFaultInFlow()`
   `Flow` | `getFaultOutFlow()`
   `URL` | `getFileName()`
   `Flow` | `getInFlow()`
   `QName[]` | `getLocalPolicyAssertions()`
   `Module` | `getModule()`
   `ClassLoader` | `getModuleClassLoader()`
   `String` | `getModuleDescription()`
   `String` | `getName()` Get the name of this module.
   `HashMap<QName,AxisOperation>` | `getOperations()`
   `Flow` | `getOutFlow()`
   `Parameter` | `getParameter(String name)` Method getParameter.
   `ArrayList<Parameter>` | `getParameters()` Gets all the parameters in a given description.
   `AxisConfiguration` | `getParent()`
   `PolicyInclude` | `getPolicyInclude()`
   `PolicySubject` | `getPolicySubject()`
   `String[]` | `getSupportedPolicyNamespaces()`
   `Version` | `getVersion()` Get the version of this module.
   `boolean` | `isParameterLocked(String parameterName)` Checks whether the parameter is locked at any level.
   `void` | `removeParameter(Parameter param)`
   `void` | `setArchiveName(String archiveName)` Set the archive name of this module.
   `void` | `setFaultInFlow(Flow faultFlow)`
   `void` | `setFaultOutFlow(Flow faultFlow)`
   `void` | `setFileName(URL fileName)`
   `void` | `setInFlow(Flow inFlow)`
   `void` | `setLocalPolicyAssertions(QName[] localPolicyAssertions)`
   `void` | `setModule(Module module)`
   `void` | `setModuleClassLoader(ClassLoader moduleClassLoader)`
   `void` | `setModuleDescription(String moduleDescription)`
   `void` | `setName(String name)` Set the name of this module.
   `void` | `setOutFlow(Flow outFlow)`
   `void` | `setParent(AxisConfiguration parent)`
   `void` | `setPolicyInclude(PolicyInclude policyInclude)`
   `void` | `setSupportedPolicyNamespaces(String[] supportedPolicyNamespaces)`
   `void` | `setVersion(Version version)` Set the version of this module.

   Methods inherited from class java.lang.Object
   `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

   Field Detail

   ### VERSION_SNAPSHOT

       public static final String VERSION_SNAPSHOT

   See Also:
     Constant Field Values

   ### MODULE_SERVICE

       public static final String MODULE_SERVICE

   See Also:
     Constant Field Values

   Constructor Detail

   ### AxisModule

       public AxisModule()

     Constructor ModuleDescription.

   ### AxisModule

       public AxisModule(String name)

     Constructor ModuleDescription.

     Parameters:
       `name` - : Name of the module

   Method Detail

   ### getName

       public String getName()

     Get the name of this module. Note that it is possible to deploy several versions of the same module. Therefore, the name of a module is not unique in the scope of a given `AxisConfiguration`.

     Returns:
       the name of the module

   ### setName

       public void setName(String name)

     Set the name of this module.

     Parameters:
       `name` - the name of the module

   ### getArchiveName

       public String getArchiveName()

     Get the archive name of this module. The archive name is the combination of the module name and version (if available). In general it is equal to the name of the module archive file without the suffix.

     Returns:
       the archive name of the module

   ### setArchiveName

       public void setArchiveName(String archiveName)

     Set the archive name of this module. This method will split the archive name to extract the module name and version (which can be retrieved using `getName()` and `getVersion()`).

     Parameters:
       `archiveName` - the archive name of the module

   ### getVersion

       public Version getVersion()

     Get the version of this module.

     Returns:
       the version of the module, or `null` if the module doesn't have a version number

   ### setVersion

       public void setVersion(Version version)

     Set the version of this module.

     Parameters:
       `version` - the version of the module

   ### addOperation

       public void addOperation(AxisOperation axisOperation)

   ### addParameter

       public void addParameter(Parameter param)
                         throws AxisFault

     Description copied from interface: `ParameterInclude`
     Method addParameter.

     Specified by:
       `addParameter` in interface `ParameterInclude`
     Parameters:
       `param` - : Parameter to be added
     Throws:
       `AxisFault`

   ### removeParameter

       public void removeParameter(Parameter param)
                            throws AxisFault

     Specified by:
       `removeParameter` in interface `ParameterInclude`
     Throws:
       `AxisFault`

   ### deserializeParameters

       public void deserializeParameters(org.apache.axiom.om.OMElement parameterElement)
                                  throws AxisFault

     Specified by:
       `deserializeParameters` in interface `ParameterInclude`
     Throws:
       `AxisFault`

   ### getFaultInFlow

       public Flow getFaultInFlow()

     Returns:
       Returns Flow.

   ### getFaultOutFlow

       public Flow getFaultOutFlow()

   ### getInFlow

       public Flow getInFlow()

     Returns:
       Returns Flow.

   ### getModule

       public Module getModule()

     Returns:
       Returns Module.

   ### getModuleClassLoader

       public ClassLoader getModuleClassLoader()

   ### getOperations

       public HashMap<QName,AxisOperation> getOperations()

   ### getOutFlow

       public Flow getOutFlow()

     Returns:
       Returns Flow.

   ### getParameter

       public Parameter getParameter(String name)

     Description copied from interface: `ParameterInclude`
     Method getParameter.

     Specified by:
       `getParameter` in interface `ParameterInclude`
     Returns:
       Returns Parameter.

   ### getParameters

       public ArrayList<Parameter> getParameters()

     Description copied from interface: `ParameterInclude`
     Gets all the parameters in a given description.

     Specified by:
       `getParameters` in interface `ParameterInclude`
     Returns:
       Returns ArrayList.

   ### getParent

       public AxisConfiguration getParent()

   ### isParameterLocked

       public boolean isParameterLocked(String parameterName)

     Description copied from interface: `ParameterInclude`
     Checks whether the parameter is locked at any level.

     Specified by:
       `isParameterLocked` in interface `ParameterInclude`

   ### setFaultInFlow

       public void setFaultInFlow(Flow faultFlow)

     Parameters:
       `faultFlow` - : Arryalist of handlerDescriptions

   ### setFaultOutFlow

       public void setFaultOutFlow(Flow faultFlow)

     Parameters:
       `faultFlow` - : Arryalist of HandlerDescriptions

   ### setInFlow

       public void setInFlow(Flow inFlow)

   ### setModule

       public void setModule(Module module)

     Parameters:
       `module` - : AxisModule

   ### setModuleClassLoader

       public void setModuleClassLoader(ClassLoader moduleClassLoader)

   ### setOutFlow

       public void setOutFlow(Flow outFlow)

   ### setParent

       public void setParent(AxisConfiguration parent)

   ### setPolicyInclude

       public void setPolicyInclude(PolicyInclude policyInclude)

   ### getPolicyInclude

       public PolicyInclude getPolicyInclude()

   ### getPolicySubject

       public PolicySubject getPolicySubject()

   ### getModuleDescription

       public String getModuleDescription()

   ### setModuleDescription

       public void setModuleDescription(String moduleDescription)

   ### getSupportedPolicyNamespaces

       public String[] getSupportedPolicyNamespaces()

   ### setSupportedPolicyNamespaces

       public void setSupportedPolicyNamespaces(String[] supportedPolicyNamespaces)

   ### getLocalPolicyAssertions

       public QName[] getLocalPolicyAssertions()

   ### setLocalPolicyAssertions

       public void setLocalPolicyAssertions(QName[] localPolicyAssertions)

   ### getFileName

       public URL getFileName()

   ### setFileName

       public void setFileName(URL fileName)

   Overview | Package | Class | Use | Tree | Deprecated | Index | Help
   PREV CLASS NEXT CLASS | FRAMES NO FRAMES
   SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

   Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.